\name{campy}
\docType{data}

\alias{campy}
\alias{campylobacter}


\title{PAD  -  Campylobacter data }

\usage{data(campy)}
\description{
  The \code{campy} data frame has 60 rows and 4 columns.
  
  This data-set records monthly numbers of
  incident campylobacter cases in the Morecambe
  Bay area, from January 1990 to December 1994
  inclusive.
}

\format{
  This data frame contains the following columns:
  \describe{
    \item{month}{a numeric vector with the number of month. }
    \item{cases}{a numeric vector with the number of incident cases.  }
    \item{nstrend}{a numeric vector with non-seasonal trend estimated by moving average
      smoothing as explained in lecture notes.  }
    \item{strend}{a numeric vector with seasonal trend estimated by moving average
      smoothing as explained in lecture notes.  }
  }
}

%\details{
% ~~ If necessary, more details than the _description_ above ~~
%}

\source{
  Supplied by Dr K Jones (Lancaster University, UK).
}

%\references{
%~~ possibly secondary sources and usages ~~
%}

\examples{
data(campy)
attach(campy)
plot(month, cases)
lines(month, nstrend, lty=2)
lines(month, strend, lty=3)
}

\keyword{datasets}
