\name{crossover}
\docType{data}

\alias{crossover}
\alias{asthma}


\title{PAD  -  Asthma data }

\usage{data(crossover)}

\description{
The \code{crossover} data frame has 13 rows and 4 columns.
}

\format{
  This data frame contains the following columns:
  \describe{
    \item{sequence}{a factor with levels indicating  the sequence of 
administration of drugs:}
    \item{   }{\code{FS  } Formoterol first and Salbutamol second}
    \item{   }{\code{SF  } Salbutamol first and Formotemol second}
    \item{patient}{a factor with patient identifier}
    \item{PEF1}{a numeric vector with measurements of the lung function in period one}
    \item{PEF2}{a numeric vector with  measurements of the lung 
function in period two}
  }
}

\details{
This data-set gives the results of a crossover trial into
the effectiveness of two proprietary medicines used to
treat chronic asthma. The medicines are Formoterol (F)
and Salbutamol (S). Each patient receives both treatments
in sequence, with an intervening "washout" period intended
to ensure that the drug received in period 1 has no residual
effect during period 2. The resonse is a measure of lung
function, peak expiratory flow (PEF), 8 hours after treatment.
}

\source{
Supplied by Prof S. Senn (University College, London, UK).
}

%\references{
%~~ possibly secondary sources and usages ~~
%}

%\examples{
%data(crossover)
%## maybe str(crossover) ; plot(crossover) ...
%}

\keyword{datasets}
