\name{glyp}
\docType{data}

\alias{glyphosate}
\alias{glyp}

\title{PAD  -  Glyphosate data}

\usage{data(glyp)}

\description{
The \code{glyp} data frame has 54 rows and 4 columns.

This data-set records the results of an experiment
to investigate the relationship between root length
of safflower plants and the concentration of glyphosate
(a weed-killer) introduced into the water-supply.
}

\format{
  This data frame contains the following columns:
  \describe{
    \item{conc}{a numeric vector with glyphosate concentration in water supply \eqn{(ppm)}}
    \item{water}{a factor with the type of water to which glyphosate was
      added: \code{1} destilled water, \code{2} tap water}
    \item{replicate}{a factor with levels corresponding to replicate experiment
      started on dates
%      25.03.83, 28.03.83 or 05.04.83,
      respectively. Note that control runs with zero
      glyphosate were also duplicated on each of the
      three dates.
    }
    \item{length}{a numeric vector with total root length of 15 safflower plants}
  }
}

%\details{
%}

\source{
Supplid by Prof P. Diggle (Lancaster University, UK) from an experiment conducted
by CSIRO Centre for Irrigation Research,
Griffith, New South wales, Australia
}

%\references{
%~~ possibly secondary sources and usages ~~
%}

%\examples{
%data(glyp)
%## maybe str(glyp) ; plot(glyp) ...
%}

\keyword{datasets}
