\name{mandible}
\docType{data}

\alias{mandible}


\title{PAD  -  Golden Jackals Mandible Data}

\usage{data(mandible)}

\description{
  The \code{mandible} data frame has 10 rows and 2 columns.

  The data are mandible lengths in (mm) for male and female golden
  jackals (\emph{Canis aureus}) for 10 of each sex in the collection in
  the British Museum (Natural History).
}

\format{
  This data frame contains the following columns:
  \describe{
    \item{females}{a numeric vector with mandible lengths for females
      \eqn{(mm)}.  }
    \item{male}{a numeric vector with mandible lengths for males
      \eqn{(mm)}.  }
  }
}

%\details{
% ~~ If necessary, more details than the _description_ above ~~
%}

\source{
Higham, C.F, Kijngam, A. and Manly, B.F.J. (1980) An analysis of
prehistoric canid remains from Thailand. Journal of Archeologycal
Science, 7, 149-165.
}

\references{
Manly, B.F.J. (1991) Randomization, Bootstrap and Monte Carlo methods in
Biology. Second Edition. Chapman and Hall.
}

\examples{
data(mandible)
summary(mandible)
boxplot(mandible)
}

\keyword{datasets}
